%global srcname jms-api

Name:           jakarta-messaging
Version:        2.0.3
Release:        %mkrel 3
Group:          Development/Java
Summary:        JMS / Jakarta Messaging API
License:        EPL-2.0 or GPLv2 with exceptions

%global src_ver %{version}-RELEASE

URL:            https://github.com/eclipse-ee4j/jms-api
Source0:        %{url}/archive/%{src_ver}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-jms = %{version}-%{release}
Obsoletes:      geronimo-jms < 1.1.1-32

%description
This package contains the API definition source code for the Jakarta
Messaging API.


%package javadoc
Summary:        Javadoc for %{name}

# package renamed in fedora 33, remove in fedora 35
Provides:       geronimo-jms-javadoc = %{version}-%{release}
Obsoletes:      geronimo-jms-javadoc < 1.1.1-32

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{src_ver}

pushd api
# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-jar-plugin

# add alias for old artifact coordinates used by log4j12 and apache-log4j-extras
%mvn_alias jakarta.jms:jakarta.jms-api org.apache.geronimo.specs:geronimo-jms_1.1_spec
popd


%build
pushd api
%mvn_build
popd


%install
pushd api
%mvn_install
popd


%files -f api/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%files javadoc -f api/.mfiles-javadoc
%license LICENSE.md NOTICE.md




%changelog
* Fri May 24 2024 ns80 <ns80> 2.0.3-3.mga10
+ Revision: 2066960
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 2.0.3-2.mga9
+ Revision: 1827573
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 2.0.3-1.mga8
+ Revision: 1622067
- Update to 2.0.3
- package renamed to jakarta-messaging

* Tue Feb 11 2020 umeabot <umeabot> 1.1.1-25.mga8
+ Revision: 1489824
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.1-24.mga7
+ Revision: 1261196
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1.1-23.mga6
+ Revision: 981813
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.1-22.mga6
+ Revision: 976267
- First rebuild of the java stack
- sync package geronimo-jms with fedora
- Cleanup spec file
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-16.mga5
+ Revision: 739173
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 1.1.1-14.mga4
+ Revision: 558835
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-12.mga3
+ Revision: 351453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 1.1.1-11.mga3
+ Revision: 328467
- Rebuild to fix signatures
- Build with maven3

* Thu Apr 28 2011 dmorgan <dmorgan> 1.1.1-9.mga1
+ Revision: 92444
- Rebuild after bootstrapping
- imported package geronimo-jms

